SparrowDesk
Contacts

Bulk create contacts

Create multiple contacts in a single request

POST
/bulk/contacts
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.sparrowdesk.com/v1/bulk/contacts" \  -H "Content-Type: application/json" \  -d '[    {      "first_name": "John"    }  ]'
{
  "data": {
    "job_id": "cce22ea8-dd20-46d2-94b4-bfc4afd65def",
    "status_url": "https://api.sparrowdesk.com/v1/bulk/status/cce22ea8-dd20-46d2-94b4-bfc4afd65def"
  }
}
{
  "message": "Unauthorized"
}
{
  "error": {
    "message": "Company not found"
  }
}
{
  "error": {
    "message": "One or more contacts already exist"
  }
}
{
  "error": {
    "message": "string"
  }
}
{
  "name": "RateLimitExceeded",
  "message": "Rate limit exceeded for: APIS_PER_MINUTE",
  "code": 429,
  "details": [
    {
      "name": "APIS_PER_MINUTE",
      "quota": 0,
      "count": 0,
      "remaining": 0
    }
  ]
}
{
  "error": {
    "message": "Error creating contacts"
  }
}